# GimpUi.Preview.draw

    @accepts(GimpUi.Preview)
    @returns(none)
    def draw(self):
        # Python wrapper for gimp_preview_draw()

Calls the GimpPreview::draw method. GimpPreview itself doesn't implement a default draw method so the behavior is determined by the derived class implementing this method.

GimpUi.DrawablePreview implements GimpUi.Preview.draw by drawing the original, unmodified drawable to the self.

Since 2.2

self

  a GimpUi.Preview widget